#
# spec file for package syncthing
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           syncthing
Version:        0.11.16
Release:        0
Summary:        FOSS Continuous File Synchronization
License:        MPL-2.0
Group:          Productivity/Networking/File-Sharing
Url:            https://syncthing.net/
Source:         https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  go >= 1.3
BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros
%go_exclusivearch

%description
Syncthing replaces proprietary sync and cloud services with
something open, trustworthy and decentralized. Your data is your
data alone and you deserve to choose where it is stored, if it is
shared with some third party and how it's transmitted over the
Internet.

%prep
%setup -q

%build
%goprep github.com/%{name}/%{name}
go run build.go -no-upgrade build

%install
install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dm 0644 etc/linux-systemd/system/%{name}@.service \
  %{buildroot}%{_unitdir}/%{name}@.service
install -Dm 0644 etc/linux-systemd/user/%{name}.service    \
  %{buildroot}%{_userunitdir}/%{name}.service

%pre
%service_add_pre %{name}@.service

%post
%service_add_post %{name}@.service
%if 0%{?suse_version} > 1320
%systemd_user_post %{name}.service
%endif

%preun
%service_del_preun %{name}@.service
%if 0%{?suse_version} > 1320
%systemd_user_preun %{name}.service
%endif

%postun
%service_del_postun %{name}@.service
%if 0%{?suse_version} > 1320
%systemd_user_postun %{name}.service
%endif

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README.md
%{_bindir}/%{name}
%{_unitdir}/%{name}@.service
%if 0%{?suse_version} > 1320
%{_userunitdir}/%{name}.service
%endif

%changelog
